Pular para o conteúdo principal
PUT
/
data-studio
/
data-source
/
2026-09-beta
/
{datasourceId}
Atualizar fonte de dados
curl --request PUT \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'request=<string>'
{
  "datasourceId": 123,
  "datasourceName": "<string>",
  "previewLink": "<string>"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

datasourceId
integer<int64>
obrigatório

O ID da fonte de dados.

Corpo

multipart/form-data
file
file
request
string

Resposta

successful operation

datasourceId
integer<int64>
obrigatório

O identificador exclusivo da fonte de dados. É um número inteiro formatado como int64.

datasourceName
string
obrigatório

O nome da fonte de dados. É uma string.

Uma string de URL que fornece um link de visualização para a fonte de dados.

Last modified on April 13, 2026